# Sysadmin Tools

## Steps

### Make kernel source

- emerge -1
- store kernel source
- emerge unmerge

```bash
ktool mksrc
```

### Prepare kernel source

- load kernel source
- add .config
- make prepare
- check if .config changed -> store it
- store prepared kernel source

```bash
ktool prepare
```

### Build kernel source package

- emerge -1b prepared kernel source package

```bash
ktool emergesrc
```

### Build kernel & modules

- make bzimage modules
- store built kernel source
- store built kernel
- make modules_install
- store built modules

```bash
ktool build
```

### Build initrd

- load built modules
- build initrd
- store initrd

```bash
ktool initrd
```

### Build ucodes

- build ucodes
- store ucodes

```bash
ktool mkucodes
```

### Install kernel

- load ucodes
- load built kernel
- load built modules
- emerge -1K prepared kernel source package
- grub-mkconfig

```bash
ktool install
```
